## ros-kinetic-depth-image-proc 1.12.23

=== debian/changelog ===
ros-kinetic-depth-image-proc (1.12.23-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.22-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-kinetic-depth-image-proc (1.12.21-0xenial) xenial; urgency=high

  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-kinetic-depth-image-proc (1.12.20-0xenial) xenial; urgency=high

  * Fix CMake warnings about Eigen.
  * Convert depth image metric from [m] to [mm]
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Kentaro Wada, Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.19-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.18-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.17-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.16-0xenial) xenial; urgency=high

  * check number of channels before the process
  * search minimum value with OpenCV
  * Use OpenCV to be faster
  * Add a feature for a depth image to crop foremost image
  * Contributors: Kenta Yonekura

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-kinetic-depth-image-proc (1.12.15-0xenial) xenial; urgency=high

  * Add option for exact time sync for point_cloud_xyzrgb
  * simplify OpenCV3 conversion
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-kinetic-depth-image-proc (1.12.14-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.13-0xenial) xenial; urgency=high

  * Add radial point cloud processors
  * Contributors: Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.12-0xenial) xenial; urgency=high

  * adds range_max
  * exports depth_conversions
    with convert for xyz PC only
  * exports DepthTraits
  * Contributors: enriquefernandez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-kinetic-depth-image-proc (1.12.11-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.10-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.9-0xenial) xenial; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.8-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.6-0xenial) xenial; urgency=high

  * Add point_cloud_xyzi nodelet
    This is for cameras that output depth and intensity images.
    It's based on the point_cloud_xyzrgb nodelet.
  * Missing runtime dependency - eigen_conversions
    libdepth_image_proc is missing this dependency at runtime
    ```
    > ldd libdepth_image_proc.so  | grep eigen
    libeigen_conversions.so => not found
    ```
    Which causes the following error on loading depth_image_proc:
    ```
    [ INFO] [1402564815.530736554]: /camera/rgb/camera_info -> /camera/rgb/camera_info
    [ERROR] [1402564815.727176562]: Failed to load nodelet [/camera/depth_metric_rect] of type
    [depth_image_proc/convert_metric]: Failed to load library /opt/ros/indigo/lib//libdepth_image_proc.so.
    Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that
    names are consistent between this macro and your XML. Error string: Could not load library (Poco
    exception = libeigen_conversions.so: cannot open shared object file: No such file or directory)
    [FATAL] [1402564815.727410623]: Service call failed!
    ```
  * Contributors: Daniel Stonier, Hunter Laux

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.4-0xenial) xenial; urgency=high

  * depth_image_proc: fix missing symbols in nodelets
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.3-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.2-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-kinetic-depth-image-proc (1.12.1-0xenial) xenial; urgency=high

  * replace tf usage by tf2 usage

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 05 Apr 2014 22:00:00 -0000


